<?php
include("../config/config.php");

$fecha_actual = date("Y-m-d");
$filename = "resumenes_trauma_" . $fecha_actual . ".csv";

// Encabezados para el archivo CSV
$fields = array(
    'id', 'submission_id', 'codigo', 'fecha', 'titulo', 
    'cod_tipo_competicion_propuesto', 'cod_tipo_presentacion_propuesto', 
    'cod_tipo_presentacion_aprobado', 'archivo', 'introduccion', 'materiales', 
    'resultados', 'conclusiones', 'pais', 'ciudad', 'nro_autores', 'email', 
    'apellido_corresponsal', 'area_tematica', 'estado', 'evaluador1', 
    'evaluador2', 'evaluador3', 'calificacion1_1', 'calificacion1_2', 
    'calificacion1_3', 'calificacion1_4', 'calificacion1_5', 'calificacion1_6', 
    'calificacion1_fecha', 'calificacion2_1', 'calificacion2_2', 'calificacion2_3', 
    'calificacion2_4', 'calificacion2_5', 'calificacion2_6', 'calificacion2_fecha', 
    'calificacion3_1', 'calificacion3_2', 'calificacion3_3', 'calificacion3_4', 
    'calificacion3_5', 'calificacion3_6', 'cod_tipo_presentacion_recomendado3', 
    'calificacion3_fecha', 'cod_tipo_presentacion_recomendado1', 
    'cod_tipo_presentacion_recomendado2', 'autores', 'nombre_corresponsal', 
    'calificacion_promedio', 'activo', 'aprobado', 'control', 'autor1', 
    'autor2', 'autor3', 'autor4', 'autor5', 'autor6', 'autor7', 'autor8', 
    'autor9', 'autor10', 'apellido_autor1', 'apellido_autor2', 'apellido_autor3', 
    'apellido_autor4', 'apellido_autor5', 'apellido_autor6', 'apellido_autor7', 
    'apellido_autor8', 'apellido_autor9', 'apellido_autor10', 'titulo_autor1', 
    'titulo_autor2', 'titulo_autor3', 'titulo_autor4', 'titulo_autor5', 
    'titulo_autor6', 'titulo_autor7', 'titulo_autor8', 'titulo_autor9', 
    'titulo_autor10', 'inst_autor1', 'inst_autor2', 'inst_autor3', 
    'inst_autor4', 'inst_autor5', 'inst_autor6', 'inst_autor7', 'inst_autor8', 
    'inst_autor9', 'inst_autor10', 'consecutivo'
);

// Consulta SQL para obtener los datos de los empleados
$sql = "SELECT * FROM ttrabajo";
$result = $conexion->query($sql);

if ($result->num_rows > 0) {
    header('Content-Type: text/csv; charset=Windows-1252');
    header('Content-Disposition: attachment; filename="' . $filename . '"');

    $fp = fopen('php://output', 'w');

    // Convertir encabezados y escribir al archivo usando el delimitador |
    fputcsv($fp, array_map(function($field) {
        return mb_convert_encoding($field, 'Windows-1252', 'UTF-8');
    }, $fields), '|');

    // Convertir y escribir cada fila al archivo usando el delimitador |
    while ($row = $result->fetch_assoc()) {
        fputcsv($fp, array_map(function($value) {
            return mb_convert_encoding($value, 'Windows-1252', 'UTF-8');
        }, $row), '|');
    }

    fclose($fp);
    exit();
} else {
    echo "No hay empleados para generar el reporte.";
}

$conexion->close();
